In-place restore of a cluster
Triggers an in-place restore of the given PostgreSQL.
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
The unique ID of the cluster.
498ae72f-411f-11eb-9d07-046c59cc737eThe restore request.
The unique ID of the backup you want to restore.
dcd31531-3ac8-11eb-9feb-046c59cc737eIf this value is supplied as ISO 8601 timestamp, the backup will be replayed up until the given timestamp. If empty, the backup will be applied completely.
2020-12-10T13:37:50+01:00Successful operation.
No content
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
POST /databases/postgresql/clusters/{clusterId}/restore HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"backupId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
"recoveryTargetTime": "2020-12-10T13:37:50+01:00"
}No content
Last updated
Was this helpful?